Package javassist.util.proxy

# Interface Proxy

All Known Subinterfaces:
  `ProxyObject`

public interface Proxy
The interface implemented by proxy classes. This interface only provides a setter method. To obtain a handler, call `ProxyFactory.getHandler(Proxy)`.

Since:
  3.16
See Also:
  - `ProxyFactory`

## Method Summary

Modifier and Type
Method
Description
`void`
`setHandler(MethodHandler mi)`
Sets a handler.

## Method Details

### setHandler

void setHandler(MethodHandler mi)
Sets a handler. It can be used for changing handlers during runtime.